# server web 2023

FROM debian:latest
LABEL author="@projectit"
LABEL subject="server 2023"
USER root
RUN apt-get update
ARG DEBIAN_FRONTEND=noninteractive
RUN apt-get install -y procps iproute2 iputils-ping nmap curl tree vim apache2 php php-common php-pgsql libapache2-mod-auth-openidc libnode72
RUN  curl -fsSL https://deb.nodesource.com/setup_18.x | bash -
RUN apt-get install -y nodejs
RUN mkdir /opt/docker/
WORKDIR /opt/docker/
COPY . /opt/docker/
RUN chmod +x /opt/docker/startup.sh
CMD [ "/bin/bash","startup.sh"]
EXPOSE 80
